GetInstanceTest (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.test

## Class GetInstanceTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.asn1.test.GetInstanceTest

- All Implemented Interfaces:
    junit.framework.Test

      public class GetInstanceTest
      extends junit.framework.TestCase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte[]` | `attrCert`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetInstanceTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `void` | `testBadSequenceSize()`
    `void` | `testGetInstance()`

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### attrCert

          public static byte[] attrCert

  - ### Constructor Detail

    - #### GetInstanceTest

          public GetInstanceTest()

  - ### Method Detail

    - #### testBadSequenceSize

          public void testBadSequenceSize()
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testGetInstance

          public void testGetInstance()
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getName

          public java.lang.String getName()

      Overrides:
        `getName` in class `junit.framework.TestCase`